Page MenuHomeFreeBSD

Add an initial RELNOTES file.
ClosedPublic

Authored by markj on Jun 25 2019, 6:27 PM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

markj created this revision.Jun 25 2019, 6:27 PM
ian accepted this revision.Jun 27 2019, 1:30 AM
ian added a subscriber: ian.

I love the clean simplicity of this after all the back and forth on mailing lists about markup languages and other complications that were far beyond this original simple vision.

A nit: why 72 columns rather than 80?

This revision is now accepted and ready to land.Jun 27 2019, 1:30 AM
markj added a comment.Jun 27 2019, 3:48 PM
In D20762#449524, @ian wrote:

A nit: why 72 columns rather than 80?

Hmm, for some reason I'm used to keeping text to 72 columns but I don't have a concrete justification for doing that. I'll change it to 80.

markj updated this revision to Diff 59104.Jun 27 2019, 3:55 PM

Reformat to 80 columns.

This revision now requires review to proceed.Jun 27 2019, 3:55 PM
markj updated this revision to Diff 59105.Jun 27 2019, 3:56 PM

Remove unintended change to UPDATING.

Reformat to 80 columns.

One reason for keeping it at 72 columns is so that email replies can often stay under the 80 column width, not really important here. Also since you have eaten 8 columns off the front for the text it makes it very balanced to eat 8 off the end, but again, not realy important here. This text is probably going to get re-flowed when it ends up in the release notes anyway.

markj added a comment.Jun 27 2019, 5:39 PM

Reformat to 80 columns.

One reason for keeping it at 72 columns is so that email replies can often stay under the 80 column width, not really important here. Also since you have eaten 8 columns off the front for the text it makes it very balanced to eat 8 off the end, but again, not realy important here. This text is probably going to get re-flowed when it ends up in the release notes anyway.

I also note that UPDATING is 80 columns.

This revision was not accepted when it landed; it landed in state Needs Review.Jul 17 2019, 7:09 PM
Closed by commit rS350089: Add an initial RELNOTES file. (authored by markj). · Explain Why
This revision was automatically updated to reflect the committed changes.